#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanBoolean = 4929,
  GleanCategory = 4942,
  GleanCounter = 4956,
  GleanCustomDistribution = 4969,
  GleanDatetime = 4993,
  GleanDenominator = 5007,
  GleanEvent = 5024,
  GleanImpl = 5035,
  GleanLabeled = 5045,
  GleanMemoryDistribution = 5058,
  GleanMetric = 5082,
  GleanNumerator = 5094,
  GleanPingsImpl = 5109,
  GleanQuantity = 5124,
  GleanRate = 5138,
  GleanString = 5148,
  GleanStringList = 5160,
  GleanText = 5176,
  GleanTimespan = 5186,
  GleanTimingDistribution = 5200,
  GleanUrl = 5224,
  GleanUuid = 5233,
  Grid = 5243,
  GridArea = 5248,
  GridDimension = 5257,
  GridLine = 5271,
  GridLines = 5280,
  GridTrack = 5290,
  GridTracks = 5300,
  HTMLAllCollection = 5311,
  HTMLAnchorElement = 5329,
  HTMLAreaElement = 5347,
  HTMLAudioElement = 5363,
  HTMLBRElement = 5380,
  HTMLBaseElement = 5394,
  HTMLBodyElement = 5410,
  HTMLButtonElement = 5426,
  HTMLCanvasElement = 5444,
  HTMLCollection = 5462,
  HTMLDListElement = 5477,
  HTMLDataElement = 5494,
  HTMLDataListElement = 5510,
  HTMLDetailsElement = 5530,
  HTMLDialogElement = 5549,
  HTMLDirectoryElement = 5567,
  HTMLDivElement = 5588,
  HTMLDocument = 5603,
  HTMLElement = 5616,
  HTMLEmbedElement = 5628,
  HTMLFieldSetElement = 5645,
  HTMLFontElement = 5665,
  HTMLFormControlsCollection = 5681,
  HTMLFormElement = 5708,
  HTMLFrameElement = 5724,
  HTMLFrameSetElement = 5741,
  HTMLHRElement = 5761,
  HTMLHeadElement = 5775,
  HTMLHeadingElement = 5791,
  HTMLHtmlElement = 5810,
  HTMLIFrameElement = 5826,
  HTMLImageElement = 5844,
  HTMLInputElement = 5861,
  HTMLLIElement = 5878,
  HTMLLabelElement = 5892,
  HTMLLegendElement = 5909,
  HTMLLinkElement = 5927,
  HTMLMapElement = 5943,
  HTMLMarqueeElement = 5958,
  HTMLMediaElement = 5977,
  HTMLMenuElement = 5994,
  HTMLMetaElement = 6010,
  HTMLMeterElement = 6026,
  HTMLModElement = 6043,
  HTMLOListElement = 6058,
  HTMLObjectElement = 6075,
  HTMLOptGroupElement = 6093,
  HTMLOptionElement = 6113,
  HTMLOptionsCollection = 6131,
  HTMLOutputElement = 6153,
  HTMLParagraphElement = 6171,
  HTMLParamElement = 6192,
  HTMLPictureElement = 6209,
  HTMLPreElement = 6228,
  HTMLProgressElement = 6243,
  HTMLQuoteElement = 6263,
  HTMLScriptElement = 6280,
  HTMLSelectElement = 6298,
  HTMLSlotElement = 6316,
  HTMLSourceElement = 6332,
  HTMLSpanElement = 6350,
  HTMLStyleElement = 6366,
  HTMLTableCaptionElement = 6383,
  HTMLTableCellElement = 6407,
  HTMLTableColElement = 6428,
  HTMLTableElement = 6448,
  HTMLTableRowElement = 6465,
  HTMLTableSectionElement = 6485,
  HTMLTemplateElement = 6509,
  HTMLTextAreaElement = 6529,
  HTMLTimeElement = 6549,
  HTMLTitleElement = 6565,
  HTMLTrackElement = 6582,
  HTMLUListElement = 6599,
  HTMLUnknownElement = 6616,
  HTMLVideoElement = 6635,
  HashChangeEvent = 6652,
  Headers = 6668,
  Headers_Iterator = 6676,
  HeapSnapshot = 6693,
  Highlight = 6706,
  HighlightRegistry = 6716,
  History = 6734,
  IDBCursor = 6742,
  IDBCursorWithValue = 6752,
  IDBDatabase = 6771,
  IDBFactory = 6783,
  IDBIndex = 6794,
  IDBKeyRange = 6803,
  IDBLocaleAwareKeyRange = 6815,
  IDBObjectStore = 6838,
  IDBOpenDBRequest = 6853,
  IDBRequest = 6870,
  IDBTransaction = 6881,
  IDBVersionChangeEvent = 6896,
  IIRFilterNode = 6918,
  IOUtils = 6932,
  IdentityCredential = 6940,
  IdleDeadline = 6959,
  Image = 6972,
  ImageBitmap = 6978,
  ImageBitmapRenderingContext = 6990,
  ImageCapture = 7018,
  ImageCaptureError = 7031,
  ImageCaptureErrorEvent = 7049,
  ImageData = 7072,
  ImageDocument = 7082,
  InputEvent = 7096,
  InspectorFontFace = 7107,
  InspectorUtils = 7125,
  InstallTriggerImpl = 7140,
  IntersectionObserver = 7159,
  IntersectionObserverEntry = 7180,
  IntlUtils = 7206,
  JSProcessActorChild = 7216,
  JSProcessActorParent = 7236,
  JSWindowActorChild = 7257,
  JSWindowActorParent = 7276,
  KeyEvent = 7296,
  KeyboardEvent = 7305,
  KeyframeEffect = 7319,
  L10nFileSource = 7334,
  L10nOverlays = 7349,
  L10nRegistry = 7362,
  LargestContentfulPaint = 7375,
  LegacyMozTCPSocket = 7398,
  Localization = 7417,
  Location = 7430,
  Lock = 7439,
  LockManager = 7444,
  MIDIAccess = 7456,
  MIDIConnectionEvent = 7467,
  MIDIInput = 7487,
  MIDIInputMap = 7497,
  MIDIMessageEvent = 7510,
  MIDIOutput = 7527,
  MIDIOutputMap = 7538,
  MIDIPort = 7552,
  MOZ_debug = 7561,
  MatchGlob = 7571,
  MatchPattern = 7581,
  MatchPatternSet = 7594,
  MathMLElement = 7610,
  MediaCapabilities = 7624,
  MediaCapabilitiesInfo = 7642,
  MediaControlService = 7664,
  MediaController = 7684,
  MediaDeviceInfo = 7700,
  MediaDevices = 7716,
  MediaElementAudioSourceNode = 7729,
  MediaEncryptedEvent = 7757,
  MediaError = 7777,
  MediaKeyError = 7788,
  MediaKeyMessageEvent = 7802,
  MediaKeySession = 7823,
  MediaKeyStatusMap = 7839,
  MediaKeyStatusMap_Iterator = 7857,
  MediaKeySystemAccess = 7884,
  MediaKeys = 7905,
  MediaList = 7915,
  MediaMetadata = 7925,
  MediaQueryList = 7939,
  MediaQueryListEvent = 7954,
  MediaRecorder = 7974,
  MediaRecorderErrorEvent = 7988,
  MediaSession = 8012,
  MediaSource = 8025,
  MediaStream = 8037,
  MediaStreamAudioDestinationNode = 8049,
  MediaStreamAudioSourceNode = 8081,
  MediaStreamError = 8108,
  MediaStreamEvent = 8125,
  MediaStreamTrack = 8142,
  MediaStreamTrackAudioSourceNode = 8159,
  MediaStreamTrackEvent = 8191,
  MerchantValidationEvent = 8213,
  MessageBroadcaster = 8237,
  MessageChannel = 8256,
  MessageEvent = 8271,
  MessageListenerManager = 8284,
  MessagePort = 8307,
  MessageSender = 8319,
  MimeType = 8333,
  MimeTypeArray = 8342,
  MouseEvent = 8356,
  MouseScrollEvent = 8367,
  MozCanvasPrintState = 8384,
  MozDocumentMatcher = 8404,
  MozDocumentObserver = 8423,
  MozQueryInterface = 8443,
  MozSharedMap = 8461,
  MozSharedMap_Iterator = 8474,
  MozSharedMapChangeEvent = 8496,
  MozStorageAsyncStatementParams = 8520,
  MozStorageStatementParams = 8551,
  MozStorageStatementRow = 8577,
  MozWritableSharedMap = 8600,
  MutationEvent = 8621,
  MutationObserver = 8635,
  MutationRecord = 8652,
  NamedNodeMap = 8667,
  NavigationPreloadManager = 8680,
  Navigator = 8705,
  NetworkInformation = 8715,
  Node = 8734,
  NodeFilter = 8739,
  NodeIterator = 8750,
  NodeList = 8763,
  Notification = 8772,
  NotificationEvent = 8785,
  NotifyPaintEvent = 8803,
  OES_draw_buffers_indexed = 8820,
  OES_element_index_uint = 8845,
  OES_fbo_render_mipmap = 8868,
  OES_standard_derivatives = 8890,
  OES_texture_float = 8915,
  OES_texture_float_linear = 8933,
  OES_texture_half_float = 8958,
  OES_texture_half_float_linear = 8981,
  OES_vertex_array_object = 9011,
  OVR_multiview2 = 9035,
  OfflineAudioCompletionEvent = 9050,
  OfflineAudioContext = 9078,
  OffscreenCanvas = 9098,
  OffscreenCanvasRenderingContext2D = 9114,
  OnlyForUseInConstructor = 9148,
  Option = 9172,
  OscillatorNode = 9179,
  PageTransitionEvent = 9194,
  PaintRequest = 9214,
  PaintRequestList = 9227,
  PaintWorkletGlobalScope = 9244,
  PannerNode = 9268,
  ParentProcessMessageManager = 9279,
  Path2D = 9307,
  PathUtils = 9314,
  PaymentAddress = 9324,
  PaymentMethodChangeEvent = 9339,
  PaymentRequest = 9364,
  PaymentRequestUpdateEvent = 9379,
  PaymentResponse = 9405,
  PeerConnectionImpl = 9421,
  PeerConnectionObserver = 9440,
  Performance = 9463,
  PerformanceEntry = 9475,
  PerformanceEntryEvent = 9492,
  PerformanceEventTiming = 9514,
  PerformanceMark = 9537,
  PerformanceMeasure = 9553,
  PerformanceNavigation = 9572,
  PerformanceNavigationTiming = 9594,
  PerformanceObserver = 9622,
  PerformanceObserverEntryList = 9642,
  PerformancePaintTiming = 9671,
  PerformanceResourceTiming = 9694,
  PerformanceServerTiming = 9720,
  PerformanceTiming = 9744,
  PeriodicWave = 9762,
  PermissionStatus = 9775,
  Permissions = 9792,
  PlacesBookmark = 9804,
  PlacesBookmarkAddition = 9819,
  PlacesBookmarkChanged = 9842,
  PlacesBookmarkGuid = 9864,
  PlacesBookmarkKeyword = 9883,
  PlacesBookmarkMoved = 9905,
  PlacesBookmarkRemoved = 9925,
  PlacesBookmarkTags = 9947,
  PlacesBookmarkTime = 9966,
  PlacesBookmarkTitle = 9985,
  PlacesBookmarkUrl = 10005,
  PlacesEvent = 10023,
  PlacesFavicon = 10035,
  PlacesHistoryCleared = 10049,
  PlacesObservers = 10070,
  PlacesPurgeCaches = 10086,
  PlacesRanking = 10104,
  PlacesVisit = 10118,
  PlacesVisitRemoved = 10130,
  PlacesVisitTitle = 10149,
  PlacesWeakCallbackWrapper = 10166,
  Plugin = 10192,
  PluginArray = 10199,
  PluginCrashedEvent = 10211,
  PointerEvent = 10230,
  PopStateEvent = 10243,
  PopupBlockedEvent = 10257,
  PopupPositionedEvent = 10275,
  PositionStateEvent = 10296,
  PrecompiledScript = 10315,
  ProcessMessageManager = 10333,
  ProcessingInstruction = 10355,
  ProgressEvent = 10377,
  PromiseDebugging = 10391,
  PromiseNativeHandler = 10408,
  PromiseRejectionEvent = 10429,
  PublicKeyCredential = 10451,
  PushEvent = 10471,
  PushManager = 10481,
  PushManagerImpl = 10493,
  PushMessageData = 10509,
  PushSubscription = 10525,
  PushSubscriptionOptions = 10542,
  RTCCertificate = 10566,
  RTCDTMFSender = 10581,
  RTCDTMFToneChangeEvent = 10595,
  RTCDataChannel = 10618,
  RTCDataChannelEvent = 10633,
  RTCDtlsTransport = 10653,
  RTCEncodedAudioFrame = 10670,
  RTCEncodedVideoFrame = 10691,
  RTCIceCandidate = 10712,
  RTCIdentityProviderRegistrar = 10728,
  RTCPeerConnection = 10757,
  RTCPeerConnectionIceEvent = 10775,
  RTCPeerConnectionStatic = 10801,
  RTCRtpReceiver = 10825,
  RTCRtpScriptTransform = 10840,
  RTCRtpScriptTransformer = 10862,
  RTCRtpSender = 10886,
  RTCRtpTransceiver = 10899,
  RTCSctpTransport = 10917,
  RTCSessionDescription = 10934,
  RTCStatsReport = 10956,
  RTCTrackEvent = 10971,
  RTCTransformEvent = 10985,
  RadioNodeList = 11003,
  Range = 11017,
  ReadableByteStreamController = 11023,
  ReadableStream = 11052,
  ReadableStream_AsyncIterator = 11067,
  ReadableStreamBYOBReader = 11096,
  ReadableStreamBYOBRequest = 11121,
  ReadableStreamDefaultController = 11147,
  ReadableStreamDefaultReader = 11179,
  Report = 11207,
  ReportBody = 11214,
  ReportingObserver = 11225,
  Request = 11243,
  ResizeObserver = 11251,
  ResizeObserverEntry = 11266,
  ResizeObserverSize = 11286,
  Response = 11305,
  SVGAElement = 11314,
  SVGAngle = 11326,
  SVGAnimateElement = 11335,
  SVGAnimateMotionElement = 11353,
  SVGAnimateTransformElement = 11377,
  SVGAnimatedAngle = 11404,
  SVGAnimatedBoolean = 11421,
  SVGAnimatedEnumeration = 11440,
  SVGAnimatedInteger = 11463,
  SVGAnimatedLength = 11482,
  SVGAnimatedLengthList = 11500,
  SVGAnimatedNumber = 11522,
  SVGAnimatedNumberList = 11540,
  SVGAnimatedPreserveAspectRatio = 11562,
  SVGAnimatedRect = 11593,
  SVGAnimatedString = 11609,
  SVGAnimatedTransformList = 11627,
  SVGAnimationElement = 11652,
  SVGCircleElement = 11672,
  SVGClipPathElement = 11689,
  SVGComponentTransferFunctionElement = 11708,
  SVGDefsElement = 11744,
  SVGDescElement = 11759,
  SVGElement = 11774,
  SVGEllipseElement = 11785,
  SVGFEBlendElement = 11803,
  SVGFEColorMatrixElement = 11821,
  SVGFEComponentTransferElement = 11845,
  SVGFECompositeElement = 11875,
  SVGFEConvolveMatrixElement = 11897,
  SVGFEDiffuseLightingElement = 11924,
  SVGFEDisplacementMapElement = 11952,
  SVGFEDistantLightElement = 11980,
  SVGFEDropShadowElement = 12005,
  SVGFEFloodElement = 12028,
  SVGFEFuncAElement = 12046,
  SVGFEFuncBElement = 12064,
  SVGFEFuncGElement = 12082,
  SVGFEFuncRElement = 12100,
  SVGFEGaussianBlurElement = 12118,
  SVGFEImageElement = 12143,
  SVGFEMergeElement = 12161,
  SVGFEMergeNodeElement = 12179,
  SVGFEMorphologyElement = 12201,
  SVGFEOffsetElement = 12224,
  SVGFEPointLightElement = 12243,
  SVGFESpecularLightingElement = 12266,
  SVGFESpotLightElement = 12295,
  SVGFETileElement = 12317,
  SVGFETurbulenceElement = 12334,
  SVGFilterElement = 12357,
  SVGForeignObjectElement = 12374,
  SVGGElement = 12398,
  SVGGeometryElement = 12410,
  SVGGradientElement = 12429,
  SVGGraphicsElement = 12448,
  SVGImageElement = 12467,
  SVGLength = 12483,
  SVGLengthList = 12493,
  SVGLineElement = 12507,
  SVGLinearGradientElement = 12522,
  SVGMPathElement = 12547,
  SVGMarkerElement = 12563,
  SVGMaskElement = 12580,
  SVGMatrix = 12595,
  SVGMetadataElement = 12605,
  SVGNumber = 12624,
  SVGNumberList = 12634,
  SVGPathElement = 12648,
  SVGPathSeg = 12663,
  SVGPathSegArcAbs = 12674,
  SVGPathSegArcRel = 12691,
  SVGPathSegClosePath = 12708,
  SVGPathSegCurvetoCubicAbs = 12728,
  SVGPathSegCurvetoCubicRel = 12754,
  SVGPathSegCurvetoCubicSmoothAbs = 12780,
  SVGPathSegCurvetoCubicSmoothRel = 12812,
  SVGPathSegCurvetoQuadraticAbs = 12844,
  SVGPathSegCurvetoQuadraticRel = 12874,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12904,
  SVGPathSegCurvetoQuadraticSmoothRel = 12940,
  SVGPathSegLinetoAbs = 12976,
  SVGPathSegLinetoHorizontalAbs = 12996,
  SVGPathSegLinetoHorizontalRel = 13026,
  SVGPathSegLinetoRel = 13056,
  SVGPathSegLinetoVerticalAbs = 13076,
  SVGPathSegLinetoVerticalRel = 13104,
  SVGPathSegList = 13132,
  SVGPathSegMovetoAbs = 13147,
  SVGPathSegMovetoRel = 13167,
  SVGPatternElement = 13187,
  SVGPoint = 13205,
  SVGPointList = 13214,
  SVGPolygonElement = 13227,
  SVGPolylineElement = 13245,
  SVGPreserveAspectRatio = 13264,
  SVGRadialGradientElement = 13287,
  SVGRect = 13312,
  SVGRectElement = 13320,
  SVGSVGElement = 13335,
  SVGScriptElement = 13349,
  SVGSetElement = 13366,
  SVGStopElement = 13380,
  SVGStringList = 13395,
  SVGStyleElement = 13409,
  SVGSwitchElement = 13425,
  SVGSymbolElement = 13442,
  SVGTSpanElement = 13459,
  SVGTextContentElement = 13475,
  SVGTextElement = 13497,
  SVGTextPathElement = 13512,
  SVGTextPositioningElement = 13531,
  SVGTitleElement = 13557,
  SVGTransform = 13573,
  SVGTransformList = 13586,
  SVGUnitTypes = 13603,
  SVGUseElement = 13616,
  SVGViewElement = 13630,
  Sanitizer = 13645,
  Scheduler = 13655,
  Screen = 13665,
  ScreenLuminance = 13672,
  ScreenOrientation = 13688,
  ScriptProcessorNode = 13706,
  ScrollAreaEvent = 13726,
  ScrollViewChangeEvent = 13742,
  SecurityPolicyViolationEvent = 13764,
  Selection = 13793,
  ServiceWorker = 13803,
  ServiceWorkerContainer = 13817,
  ServiceWorkerGlobalScope = 13840,
  ServiceWorkerRegistration = 13865,
  SessionStoreFormData = 13891,
  SessionStoreScrollData = 13912,
  SessionStoreUtils = 13935,
  ShadowRealmGlobalScope = 13953,
  ShadowRoot = 13976,
  SharedWorker = 13987,
  SharedWorkerGlobalScope = 14000,
  SimpleGestureEvent = 14024,
  SourceBuffer = 14043,
  SourceBufferList = 14056,
  SpeechGrammar = 14073,
  SpeechGrammarList = 14087,
  SpeechRecognition = 14105,
  SpeechRecognitionAlternative = 14123,
  SpeechRecognitionError = 14152,
  SpeechRecognitionEvent = 14175,
  SpeechRecognitionResult = 14198,
  SpeechRecognitionResultList = 14222,
  SpeechSynthesis = 14250,
  SpeechSynthesisErrorEvent = 14266,
  SpeechSynthesisEvent = 14292,
  SpeechSynthesisUtterance = 14313,
  SpeechSynthesisVoice = 14338,
  StaticRange = 14359,
  StereoPannerNode = 14371,
  Storage = 14388,
  StorageEvent = 14396,
  StorageManager = 14409,
  StreamFilter = 14424,
  StreamFilterDataEvent = 14437,
  StructuredCloneHolder = 14459,
  StructuredCloneTester = 14481,
  StyleSheet = 14503,
  StyleSheetApplicableStateChangeEvent = 14514,
  StyleSheetList = 14551,
  StyleSheetRemovedEvent = 14566,
  SubmitEvent = 14589,
  SubtleCrypto = 14601,
  SyncMessageSender = 14614,
  SyncReadFile = 14632,
  TCPServerSocket = 14645,
  TCPServerSocketEvent = 14661,
  TCPSocket = 14682,
  TCPSocketErrorEvent = 14692,
  TCPSocketEvent = 14712,
  TaskController = 14727,
  TaskPriorityChangeEvent = 14742,
  TaskSignal = 14766,
  TelemetryStopwatch = 14777,
  TestAttributesOnTypes = 14796,
  TestCEReactionsInterface = 14818,
  TestCImplementedInterface = 14843,
  TestCImplementedInterface2 = 14869,
  TestChildInterface = 14896,
  TestConstructorForFuncInterface = 14915,
  TestConstructorForPrefInterface = 14947,
  TestConstructorForSCInterface = 14979,
  TestCppKeywordNamedMethodsInterface = 15009,
  TestDeprecatedInterface = 15045,
  TestExampleInterface = 15069,
  TestExampleProxyInterface = 15090,
  TestExampleThrowingConstructorInterface = 15116,
  TestExampleWorkerInterface = 15156,
  TestFuncConstructorForDifferentFuncInterface = 15183,
  TestFuncConstructorForInterface = 15228,
  TestHTMLConstructorInterface = 15260,
  TestIndexedAndNamedGetterAndSetterInterface = 15289,
  TestIndexedAndNamedGetterInterface = 15333,
  TestIndexedAndNamedSetterInterface = 15368,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15403,
  TestIndexedGetterInterface = 15453,
  TestIndexedSetterInterface = 15480,
  TestInterface = 15507,
  TestInterfaceWithPromiseConstructorArg = 15521,
  TestJSImplInterface = 15560,
  TestJSImplInterface2 = 15580,
  TestJSImplInterface3 = 15601,
  TestJSImplInterface4 = 15622,
  TestJSImplInterface5 = 15643,
  TestJSImplInterface6 = 15664,
  TestJSImplNoInterfaceObject = 15685,
  TestNamedDeleterInterface = 15713,
  TestNamedDeleterWithRetvalInterface = 15739,
  TestNamedGetterInterface = 15775,
  TestNamedSetterInterface = 15800,
  TestNamespace = 15825,
  TestNonWrapperCacheInterface = 15839,
  TestParentInterface = 15868,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15888,
  TestPrefConstructorForDifferentPrefInterface = 15936,
  TestPrefConstructorForInterface = 15981,
  TestProtoObjectHackedNamespace = 16013,
  TestRenamedInterface = 16044,
  TestRenamedNamespace = 16065,
  TestSCConstructorForInterface = 16086,
  TestSecureContextInterface = 16116,
  TestThrowingConstructorInterface = 16143,
  TestUtils = 16176,
  TestWorkerExposedInterface = 16186,
  TestingDeprecatedInterface = 16213,
  Text = 16240,
  TextClause = 16245,
  TextDecoder = 16256,
  TextDecoderStream = 16268,
  TextEncoder = 16286,
  TextEncoderStream = 16298,
  TextMetrics = 16316,
  TextTrack = 16328,
  TextTrackCue = 16338,
  TextTrackCueList = 16351,
  TextTrackList = 16368,
  TimeEvent = 16382,
  TimeRanges = 16392,
  ToggleEvent = 16403,
  Touch = 16415,
  TouchEvent = 16421,
  TouchList = 16432,
  TrackEvent = 16442,
  TransformStream = 16453,
  TransformStreamDefaultController = 16469,
  TransitionEvent = 16502,
  TreeColumn = 16518,
  TreeColumns = 16529,
  TreeContentView = 16541,
  TreeWalker = 16557,
  UDPMessageEvent = 16568,
  UDPSocket = 16584,
  UIEvent = 16594,
  URL = 16602,
  URLSearchParams = 16606,
  URLSearchParams_Iterator = 16622,
  UniFFIPointer = 16647,
  UniFFIScaffolding = 16661,
  UserActivation = 16679,
  UserInteraction = 16694,
  UserProximityEvent = 16710,
  VRDisplay = 16729,
  VRDisplayCapabilities = 16739,
  VRDisplayEvent = 16761,
  VREyeParameters = 16776,
  VRFieldOfView = 16792,
  VRFrameData = 16806,
  VRMockController = 16818,
  VRMockDisplay = 16835,
  VRPose = 16849,
  VRServiceTest = 16856,
  VRStageParameters = 16870,
  VTTCue = 16888,
  VTTRegion = 16895,
  ValidityState = 16905,
  VideoColorSpace = 16919,
  VideoDecoder = 16935,
  VideoFrame = 16948,
  VideoPlaybackQuality = 16959,
  VideoTrack = 16980,
  VideoTrackList = 16991,
  VisualViewport = 17006,
  WEBGL_color_buffer_float = 17021,
  WEBGL_compressed_texture_astc = 17046,
  WEBGL_compressed_texture_etc = 17076,
  WEBGL_compressed_texture_etc1 = 17105,
  WEBGL_compressed_texture_pvrtc = 17135,
  WEBGL_compressed_texture_s3tc = 17166,
  WEBGL_compressed_texture_s3tc_srgb = 17196,
  WEBGL_debug_renderer_info = 17231,
  WEBGL_debug_shaders = 17257,
  WEBGL_depth_texture = 17277,
  WEBGL_draw_buffers = 17297,
  WEBGL_explicit_present = 17316,
  WEBGL_lose_context = 17339,
  WEBGL_provoking_vertex = 17358,
  WaveShaperNode = 17381,
  WebExtensionContentScript = 17396,
  WebExtensionPolicy = 17422,
  WebGL2RenderingContext = 17441,
  WebGLActiveInfo = 17464,
  WebGLBuffer = 17480,
  WebGLContextEvent = 17492,
  WebGLFramebuffer = 17510,
  WebGLProgram = 17527,
  WebGLQuery = 17540,
  WebGLRenderbuffer = 17551,
  WebGLRenderingContext = 17569,
  WebGLSampler = 17591,
  WebGLShader = 17604,
  WebGLShaderPrecisionFormat = 17616,
  WebGLSync = 17643,
  WebGLTexture = 17653,
  WebGLTransformFeedback = 17666,
  WebGLUniformLocation = 17689,
  WebGLVertexArrayObject = 17710,
  WebKitCSSMatrix = 17733,
  WebSocket = 17749,
  WebTransport = 17759,
  WebTransportBidirectionalStream = 17772,
  WebTransportDatagramDuplexStream = 17804,
  WebTransportError = 17837,
  WebTransportReceiveStream = 17855,
  WebTransportSendStream = 17881,
  WebrtcGlobalInformation = 17904,
  WheelEvent = 17928,
  Window = 17939,
  WindowClient = 17946,
  WindowContext = 17959,
  WindowGlobalChild = 17973,
  WindowGlobalParent = 17991,
  WindowRoot = 18010,
  Worker = 18021,
  WorkerDebuggerGlobalScope = 18028,
  WorkerGlobalScope = 18054,
  WorkerLocation = 18072,
  WorkerNavigator = 18087,
  WorkerTestUtils = 18103,
  Worklet = 18119,
  WorkletGlobalScope = 18127,
  WritableStream = 18146,
  WritableStreamDefaultController = 18161,
  WritableStreamDefaultWriter = 18193,
  XMLDocument = 18221,
  XMLHttpRequest = 18233,
  XMLHttpRequestEventTarget = 18248,
  XMLHttpRequestUpload = 18274,
  XMLSerializer = 18295,
  XPathEvaluator = 18309,
  XPathExpression = 18324,
  XPathResult = 18340,
  XRBoundedReferenceSpace = 18352,
  XRFrame = 18376,
  XRInputSource = 18384,
  XRInputSourceArray = 18398,
  XRInputSourceEvent = 18417,
  XRInputSourcesChangeEvent = 18436,
  XRPose = 18462,
  XRReferenceSpace = 18469,
  XRReferenceSpaceEvent = 18486,
  XRRenderState = 18508,
  XRRigidTransform = 18522,
  XRSession = 18539,
  XRSessionEvent = 18549,
  XRSpace = 18564,
  XRSystem = 18572,
  XRView = 18581,
  XRViewerPose = 18588,
  XRViewport = 18601,
  XRWebGLLayer = 18612,
  XSLTProcessor = 18625,
  XULCommandEvent = 18639,
  XULElement = 18655,
  XULFrameElement = 18666,
  XULMenuElement = 18682,
  XULPopupElement = 18697,
  XULResizerElement = 18713,
  XULTextElement = 18731,
  XULTreeElement = 18746,
  console = 18761,
  webkitSpeechGrammar = 18769,
  webkitSpeechGrammarList = 18789,
  webkitSpeechRecognition = 18813,
  webkitURL = 18837,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
