#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUError" "\0"
  /*  4325 */ "GPUInternalError" "\0"
  /*  4342 */ "GPUMapMode" "\0"
  /*  4353 */ "GPUOutOfMemoryError" "\0"
  /*  4373 */ "GPUPipelineLayout" "\0"
  /*  4391 */ "GPUQuerySet" "\0"
  /*  4403 */ "GPUQueue" "\0"
  /*  4412 */ "GPURenderBundle" "\0"
  /*  4428 */ "GPURenderBundleEncoder" "\0"
  /*  4451 */ "GPURenderPassEncoder" "\0"
  /*  4472 */ "GPURenderPipeline" "\0"
  /*  4490 */ "GPUSampler" "\0"
  /*  4501 */ "GPUShaderModule" "\0"
  /*  4517 */ "GPUShaderStage" "\0"
  /*  4532 */ "GPUSupportedFeatures" "\0"
  /*  4553 */ "GPUSupportedLimits" "\0"
  /*  4572 */ "GPUTexture" "\0"
  /*  4583 */ "GPUTextureUsage" "\0"
  /*  4599 */ "GPUTextureView" "\0"
  /*  4614 */ "GPUUncapturedErrorEvent" "\0"
  /*  4638 */ "GPUValidationError" "\0"
  /*  4657 */ "GainNode" "\0"
  /*  4666 */ "Gamepad" "\0"
  /*  4674 */ "GamepadAxisMoveEvent" "\0"
  /*  4695 */ "GamepadButton" "\0"
  /*  4709 */ "GamepadButtonEvent" "\0"
  /*  4728 */ "GamepadEvent" "\0"
  /*  4741 */ "GamepadHapticActuator" "\0"
  /*  4763 */ "GamepadLightIndicator" "\0"
  /*  4785 */ "GamepadPose" "\0"
  /*  4797 */ "GamepadServiceTest" "\0"
  /*  4816 */ "GamepadTouch" "\0"
  /*  4829 */ "Geolocation" "\0"
  /*  4841 */ "GeolocationCoordinates" "\0"
  /*  4864 */ "GeolocationPosition" "\0"
  /*  4884 */ "GeolocationPositionError" "\0"
  /*  4909 */ "GetUserMediaRequest" "\0"
  /*  4929 */ "GleanBoolean" "\0"
  /*  4942 */ "GleanCategory" "\0"
  /*  4956 */ "GleanCounter" "\0"
  /*  4969 */ "GleanCustomDistribution" "\0"
  /*  4993 */ "GleanDatetime" "\0"
  /*  5007 */ "GleanDenominator" "\0"
  /*  5024 */ "GleanEvent" "\0"
  /*  5035 */ "GleanImpl" "\0"
  /*  5045 */ "GleanLabeled" "\0"
  /*  5058 */ "GleanMemoryDistribution" "\0"
  /*  5082 */ "GleanMetric" "\0"
  /*  5094 */ "GleanNumerator" "\0"
  /*  5109 */ "GleanPingsImpl" "\0"
  /*  5124 */ "GleanQuantity" "\0"
  /*  5138 */ "GleanRate" "\0"
  /*  5148 */ "GleanString" "\0"
  /*  5160 */ "GleanStringList" "\0"
  /*  5176 */ "GleanText" "\0"
  /*  5186 */ "GleanTimespan" "\0"
  /*  5200 */ "GleanTimingDistribution" "\0"
  /*  5224 */ "GleanUrl" "\0"
  /*  5233 */ "GleanUuid" "\0"
  /*  5243 */ "Grid" "\0"
  /*  5248 */ "GridArea" "\0"
  /*  5257 */ "GridDimension" "\0"
  /*  5271 */ "GridLine" "\0"
  /*  5280 */ "GridLines" "\0"
  /*  5290 */ "GridTrack" "\0"
  /*  5300 */ "GridTracks" "\0"
  /*  5311 */ "HTMLAllCollection" "\0"
  /*  5329 */ "HTMLAnchorElement" "\0"
  /*  5347 */ "HTMLAreaElement" "\0"
  /*  5363 */ "HTMLAudioElement" "\0"
  /*  5380 */ "HTMLBRElement" "\0"
  /*  5394 */ "HTMLBaseElement" "\0"
  /*  5410 */ "HTMLBodyElement" "\0"
  /*  5426 */ "HTMLButtonElement" "\0"
  /*  5444 */ "HTMLCanvasElement" "\0"
  /*  5462 */ "HTMLCollection" "\0"
  /*  5477 */ "HTMLDListElement" "\0"
  /*  5494 */ "HTMLDataElement" "\0"
  /*  5510 */ "HTMLDataListElement" "\0"
  /*  5530 */ "HTMLDetailsElement" "\0"
  /*  5549 */ "HTMLDialogElement" "\0"
  /*  5567 */ "HTMLDirectoryElement" "\0"
  /*  5588 */ "HTMLDivElement" "\0"
  /*  5603 */ "HTMLDocument" "\0"
  /*  5616 */ "HTMLElement" "\0"
  /*  5628 */ "HTMLEmbedElement" "\0"
  /*  5645 */ "HTMLFieldSetElement" "\0"
  /*  5665 */ "HTMLFontElement" "\0"
  /*  5681 */ "HTMLFormControlsCollection" "\0"
  /*  5708 */ "HTMLFormElement" "\0"
  /*  5724 */ "HTMLFrameElement" "\0"
  /*  5741 */ "HTMLFrameSetElement" "\0"
  /*  5761 */ "HTMLHRElement" "\0"
  /*  5775 */ "HTMLHeadElement" "\0"
  /*  5791 */ "HTMLHeadingElement" "\0"
  /*  5810 */ "HTMLHtmlElement" "\0"
  /*  5826 */ "HTMLIFrameElement" "\0"
  /*  5844 */ "HTMLImageElement" "\0"
  /*  5861 */ "HTMLInputElement" "\0"
  /*  5878 */ "HTMLLIElement" "\0"
  /*  5892 */ "HTMLLabelElement" "\0"
  /*  5909 */ "HTMLLegendElement" "\0"
  /*  5927 */ "HTMLLinkElement" "\0"
  /*  5943 */ "HTMLMapElement" "\0"
  /*  5958 */ "HTMLMarqueeElement" "\0"
  /*  5977 */ "HTMLMediaElement" "\0"
  /*  5994 */ "HTMLMenuElement" "\0"
  /*  6010 */ "HTMLMetaElement" "\0"
  /*  6026 */ "HTMLMeterElement" "\0"
  /*  6043 */ "HTMLModElement" "\0"
  /*  6058 */ "HTMLOListElement" "\0"
  /*  6075 */ "HTMLObjectElement" "\0"
  /*  6093 */ "HTMLOptGroupElement" "\0"
  /*  6113 */ "HTMLOptionElement" "\0"
  /*  6131 */ "HTMLOptionsCollection" "\0"
  /*  6153 */ "HTMLOutputElement" "\0"
  /*  6171 */ "HTMLParagraphElement" "\0"
  /*  6192 */ "HTMLParamElement" "\0"
  /*  6209 */ "HTMLPictureElement" "\0"
  /*  6228 */ "HTMLPreElement" "\0"
  /*  6243 */ "HTMLProgressElement" "\0"
  /*  6263 */ "HTMLQuoteElement" "\0"
  /*  6280 */ "HTMLScriptElement" "\0"
  /*  6298 */ "HTMLSelectElement" "\0"
  /*  6316 */ "HTMLSlotElement" "\0"
  /*  6332 */ "HTMLSourceElement" "\0"
  /*  6350 */ "HTMLSpanElement" "\0"
  /*  6366 */ "HTMLStyleElement" "\0"
  /*  6383 */ "HTMLTableCaptionElement" "\0"
  /*  6407 */ "HTMLTableCellElement" "\0"
  /*  6428 */ "HTMLTableColElement" "\0"
  /*  6448 */ "HTMLTableElement" "\0"
  /*  6465 */ "HTMLTableRowElement" "\0"
  /*  6485 */ "HTMLTableSectionElement" "\0"
  /*  6509 */ "HTMLTemplateElement" "\0"
  /*  6529 */ "HTMLTextAreaElement" "\0"
  /*  6549 */ "HTMLTimeElement" "\0"
  /*  6565 */ "HTMLTitleElement" "\0"
  /*  6582 */ "HTMLTrackElement" "\0"
  /*  6599 */ "HTMLUListElement" "\0"
  /*  6616 */ "HTMLUnknownElement" "\0"
  /*  6635 */ "HTMLVideoElement" "\0"
  /*  6652 */ "HashChangeEvent" "\0"
  /*  6668 */ "Headers" "\0"
  /*  6676 */ "Headers Iterator" "\0"
  /*  6693 */ "HeapSnapshot" "\0"
  /*  6706 */ "Highlight" "\0"
  /*  6716 */ "HighlightRegistry" "\0"
  /*  6734 */ "History" "\0"
  /*  6742 */ "IDBCursor" "\0"
  /*  6752 */ "IDBCursorWithValue" "\0"
  /*  6771 */ "IDBDatabase" "\0"
  /*  6783 */ "IDBFactory" "\0"
  /*  6794 */ "IDBIndex" "\0"
  /*  6803 */ "IDBKeyRange" "\0"
  /*  6815 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6838 */ "IDBObjectStore" "\0"
  /*  6853 */ "IDBOpenDBRequest" "\0"
  /*  6870 */ "IDBRequest" "\0"
  /*  6881 */ "IDBTransaction" "\0"
  /*  6896 */ "IDBVersionChangeEvent" "\0"
  /*  6918 */ "IIRFilterNode" "\0"
  /*  6932 */ "IOUtils" "\0"
  /*  6940 */ "IdentityCredential" "\0"
  /*  6959 */ "IdleDeadline" "\0"
  /*  6972 */ "Image" "\0"
  /*  6978 */ "ImageBitmap" "\0"
  /*  6990 */ "ImageBitmapRenderingContext" "\0"
  /*  7018 */ "ImageCapture" "\0"
  /*  7031 */ "ImageCaptureError" "\0"
  /*  7049 */ "ImageCaptureErrorEvent" "\0"
  /*  7072 */ "ImageData" "\0"
  /*  7082 */ "ImageDocument" "\0"
  /*  7096 */ "InputEvent" "\0"
  /*  7107 */ "InspectorFontFace" "\0"
  /*  7125 */ "InspectorUtils" "\0"
  /*  7140 */ "InstallTriggerImpl" "\0"
  /*  7159 */ "IntersectionObserver" "\0"
  /*  7180 */ "IntersectionObserverEntry" "\0"
  /*  7206 */ "IntlUtils" "\0"
  /*  7216 */ "JSProcessActorChild" "\0"
  /*  7236 */ "JSProcessActorParent" "\0"
  /*  7257 */ "JSWindowActorChild" "\0"
  /*  7276 */ "JSWindowActorParent" "\0"
  /*  7296 */ "KeyEvent" "\0"
  /*  7305 */ "KeyboardEvent" "\0"
  /*  7319 */ "KeyframeEffect" "\0"
  /*  7334 */ "L10nFileSource" "\0"
  /*  7349 */ "L10nOverlays" "\0"
  /*  7362 */ "L10nRegistry" "\0"
  /*  7375 */ "LargestContentfulPaint" "\0"
  /*  7398 */ "LegacyMozTCPSocket" "\0"
  /*  7417 */ "Localization" "\0"
  /*  7430 */ "Location" "\0"
  /*  7439 */ "Lock" "\0"
  /*  7444 */ "LockManager" "\0"
  /*  7456 */ "MIDIAccess" "\0"
  /*  7467 */ "MIDIConnectionEvent" "\0"
  /*  7487 */ "MIDIInput" "\0"
  /*  7497 */ "MIDIInputMap" "\0"
  /*  7510 */ "MIDIMessageEvent" "\0"
  /*  7527 */ "MIDIOutput" "\0"
  /*  7538 */ "MIDIOutputMap" "\0"
  /*  7552 */ "MIDIPort" "\0"
  /*  7561 */ "MOZ_debug" "\0"
  /*  7571 */ "MatchGlob" "\0"
  /*  7581 */ "MatchPattern" "\0"
  /*  7594 */ "MatchPatternSet" "\0"
  /*  7610 */ "MathMLElement" "\0"
  /*  7624 */ "MediaCapabilities" "\0"
  /*  7642 */ "MediaCapabilitiesInfo" "\0"
  /*  7664 */ "MediaControlService" "\0"
  /*  7684 */ "MediaController" "\0"
  /*  7700 */ "MediaDeviceInfo" "\0"
  /*  7716 */ "MediaDevices" "\0"
  /*  7729 */ "MediaElementAudioSourceNode" "\0"
  /*  7757 */ "MediaEncryptedEvent" "\0"
  /*  7777 */ "MediaError" "\0"
  /*  7788 */ "MediaKeyError" "\0"
  /*  7802 */ "MediaKeyMessageEvent" "\0"
  /*  7823 */ "MediaKeySession" "\0"
  /*  7839 */ "MediaKeyStatusMap" "\0"
  /*  7857 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7884 */ "MediaKeySystemAccess" "\0"
  /*  7905 */ "MediaKeys" "\0"
  /*  7915 */ "MediaList" "\0"
  /*  7925 */ "MediaMetadata" "\0"
  /*  7939 */ "MediaQueryList" "\0"
  /*  7954 */ "MediaQueryListEvent" "\0"
  /*  7974 */ "MediaRecorder" "\0"
  /*  7988 */ "MediaRecorderErrorEvent" "\0"
  /*  8012 */ "MediaSession" "\0"
  /*  8025 */ "MediaSource" "\0"
  /*  8037 */ "MediaStream" "\0"
  /*  8049 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8081 */ "MediaStreamAudioSourceNode" "\0"
  /*  8108 */ "MediaStreamError" "\0"
  /*  8125 */ "MediaStreamEvent" "\0"
  /*  8142 */ "MediaStreamTrack" "\0"
  /*  8159 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8191 */ "MediaStreamTrackEvent" "\0"
  /*  8213 */ "MerchantValidationEvent" "\0"
  /*  8237 */ "MessageBroadcaster" "\0"
  /*  8256 */ "MessageChannel" "\0"
  /*  8271 */ "MessageEvent" "\0"
  /*  8284 */ "MessageListenerManager" "\0"
  /*  8307 */ "MessagePort" "\0"
  /*  8319 */ "MessageSender" "\0"
  /*  8333 */ "MimeType" "\0"
  /*  8342 */ "MimeTypeArray" "\0"
  /*  8356 */ "MouseEvent" "\0"
  /*  8367 */ "MouseScrollEvent" "\0"
  /*  8384 */ "MozCanvasPrintState" "\0"
  /*  8404 */ "MozDocumentMatcher" "\0"
  /*  8423 */ "MozDocumentObserver" "\0"
  /*  8443 */ "MozQueryInterface" "\0"
  /*  8461 */ "MozSharedMap" "\0"
  /*  8474 */ "MozSharedMap Iterator" "\0"
  /*  8496 */ "MozSharedMapChangeEvent" "\0"
  /*  8520 */ "MozStorageAsyncStatementParams" "\0"
  /*  8551 */ "MozStorageStatementParams" "\0"
  /*  8577 */ "MozStorageStatementRow" "\0"
  /*  8600 */ "MozWritableSharedMap" "\0"
  /*  8621 */ "MutationEvent" "\0"
  /*  8635 */ "MutationObserver" "\0"
  /*  8652 */ "MutationRecord" "\0"
  /*  8667 */ "NamedNodeMap" "\0"
  /*  8680 */ "NavigationPreloadManager" "\0"
  /*  8705 */ "Navigator" "\0"
  /*  8715 */ "NetworkInformation" "\0"
  /*  8734 */ "Node" "\0"
  /*  8739 */ "NodeFilter" "\0"
  /*  8750 */ "NodeIterator" "\0"
  /*  8763 */ "NodeList" "\0"
  /*  8772 */ "Notification" "\0"
  /*  8785 */ "NotificationEvent" "\0"
  /*  8803 */ "NotifyPaintEvent" "\0"
  /*  8820 */ "OES_draw_buffers_indexed" "\0"
  /*  8845 */ "OES_element_index_uint" "\0"
  /*  8868 */ "OES_fbo_render_mipmap" "\0"
  /*  8890 */ "OES_standard_derivatives" "\0"
  /*  8915 */ "OES_texture_float" "\0"
  /*  8933 */ "OES_texture_float_linear" "\0"
  /*  8958 */ "OES_texture_half_float" "\0"
  /*  8981 */ "OES_texture_half_float_linear" "\0"
  /*  9011 */ "OES_vertex_array_object" "\0"
  /*  9035 */ "OVR_multiview2" "\0"
  /*  9050 */ "OfflineAudioCompletionEvent" "\0"
  /*  9078 */ "OfflineAudioContext" "\0"
  /*  9098 */ "OffscreenCanvas" "\0"
  /*  9114 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9148 */ "OnlyForUseInConstructor" "\0"
  /*  9172 */ "Option" "\0"
  /*  9179 */ "OscillatorNode" "\0"
  /*  9194 */ "PageTransitionEvent" "\0"
  /*  9214 */ "PaintRequest" "\0"
  /*  9227 */ "PaintRequestList" "\0"
  /*  9244 */ "PaintWorkletGlobalScope" "\0"
  /*  9268 */ "PannerNode" "\0"
  /*  9279 */ "ParentProcessMessageManager" "\0"
  /*  9307 */ "Path2D" "\0"
  /*  9314 */ "PathUtils" "\0"
  /*  9324 */ "PaymentAddress" "\0"
  /*  9339 */ "PaymentMethodChangeEvent" "\0"
  /*  9364 */ "PaymentRequest" "\0"
  /*  9379 */ "PaymentRequestUpdateEvent" "\0"
  /*  9405 */ "PaymentResponse" "\0"
  /*  9421 */ "PeerConnectionImpl" "\0"
  /*  9440 */ "PeerConnectionObserver" "\0"
  /*  9463 */ "Performance" "\0"
  /*  9475 */ "PerformanceEntry" "\0"
  /*  9492 */ "PerformanceEntryEvent" "\0"
  /*  9514 */ "PerformanceEventTiming" "\0"
  /*  9537 */ "PerformanceMark" "\0"
  /*  9553 */ "PerformanceMeasure" "\0"
  /*  9572 */ "PerformanceNavigation" "\0"
  /*  9594 */ "PerformanceNavigationTiming" "\0"
  /*  9622 */ "PerformanceObserver" "\0"
  /*  9642 */ "PerformanceObserverEntryList" "\0"
  /*  9671 */ "PerformancePaintTiming" "\0"
  /*  9694 */ "PerformanceResourceTiming" "\0"
  /*  9720 */ "PerformanceServerTiming" "\0"
  /*  9744 */ "PerformanceTiming" "\0"
  /*  9762 */ "PeriodicWave" "\0"
  /*  9775 */ "PermissionStatus" "\0"
  /*  9792 */ "Permissions" "\0"
  /*  9804 */ "PlacesBookmark" "\0"
  /*  9819 */ "PlacesBookmarkAddition" "\0"
  /*  9842 */ "PlacesBookmarkChanged" "\0"
  /*  9864 */ "PlacesBookmarkGuid" "\0"
  /*  9883 */ "PlacesBookmarkKeyword" "\0"
  /*  9905 */ "PlacesBookmarkMoved" "\0"
  /*  9925 */ "PlacesBookmarkRemoved" "\0"
  /*  9947 */ "PlacesBookmarkTags" "\0"
  /*  9966 */ "PlacesBookmarkTime" "\0"
  /*  9985 */ "PlacesBookmarkTitle" "\0"
  /* 10005 */ "PlacesBookmarkUrl" "\0"
  /* 10023 */ "PlacesEvent" "\0"
  /* 10035 */ "PlacesFavicon" "\0"
  /* 10049 */ "PlacesHistoryCleared" "\0"
  /* 10070 */ "PlacesObservers" "\0"
  /* 10086 */ "PlacesPurgeCaches" "\0"
  /* 10104 */ "PlacesRanking" "\0"
  /* 10118 */ "PlacesVisit" "\0"
  /* 10130 */ "PlacesVisitRemoved" "\0"
  /* 10149 */ "PlacesVisitTitle" "\0"
  /* 10166 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10192 */ "Plugin" "\0"
  /* 10199 */ "PluginArray" "\0"
  /* 10211 */ "PluginCrashedEvent" "\0"
  /* 10230 */ "PointerEvent" "\0"
  /* 10243 */ "PopStateEvent" "\0"
  /* 10257 */ "PopupBlockedEvent" "\0"
  /* 10275 */ "PopupPositionedEvent" "\0"
  /* 10296 */ "PositionStateEvent" "\0"
  /* 10315 */ "PrecompiledScript" "\0"
  /* 10333 */ "ProcessMessageManager" "\0"
  /* 10355 */ "ProcessingInstruction" "\0"
  /* 10377 */ "ProgressEvent" "\0"
  /* 10391 */ "PromiseDebugging" "\0"
  /* 10408 */ "PromiseNativeHandler" "\0"
  /* 10429 */ "PromiseRejectionEvent" "\0"
  /* 10451 */ "PublicKeyCredential" "\0"
  /* 10471 */ "PushEvent" "\0"
  /* 10481 */ "PushManager" "\0"
  /* 10493 */ "PushManagerImpl" "\0"
  /* 10509 */ "PushMessageData" "\0"
  /* 10525 */ "PushSubscription" "\0"
  /* 10542 */ "PushSubscriptionOptions" "\0"
  /* 10566 */ "RTCCertificate" "\0"
  /* 10581 */ "RTCDTMFSender" "\0"
  /* 10595 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10618 */ "RTCDataChannel" "\0"
  /* 10633 */ "RTCDataChannelEvent" "\0"
  /* 10653 */ "RTCDtlsTransport" "\0"
  /* 10670 */ "RTCEncodedAudioFrame" "\0"
  /* 10691 */ "RTCEncodedVideoFrame" "\0"
  /* 10712 */ "RTCIceCandidate" "\0"
  /* 10728 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10757 */ "RTCPeerConnection" "\0"
  /* 10775 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10801 */ "RTCPeerConnectionStatic" "\0"
  /* 10825 */ "RTCRtpReceiver" "\0"
  /* 10840 */ "RTCRtpScriptTransform" "\0"
  /* 10862 */ "RTCRtpScriptTransformer" "\0"
  /* 10886 */ "RTCRtpSender" "\0"
  /* 10899 */ "RTCRtpTransceiver" "\0"
  /* 10917 */ "RTCSctpTransport" "\0"
  /* 10934 */ "RTCSessionDescription" "\0"
  /* 10956 */ "RTCStatsReport" "\0"
  /* 10971 */ "RTCTrackEvent" "\0"
  /* 10985 */ "RTCTransformEvent" "\0"
  /* 11003 */ "RadioNodeList" "\0"
  /* 11017 */ "Range" "\0"
  /* 11023 */ "ReadableByteStreamController" "\0"
  /* 11052 */ "ReadableStream" "\0"
  /* 11067 */ "ReadableStream AsyncIterator" "\0"
  /* 11096 */ "ReadableStreamBYOBReader" "\0"
  /* 11121 */ "ReadableStreamBYOBRequest" "\0"
  /* 11147 */ "ReadableStreamDefaultController" "\0"
  /* 11179 */ "ReadableStreamDefaultReader" "\0"
  /* 11207 */ "Report" "\0"
  /* 11214 */ "ReportBody" "\0"
  /* 11225 */ "ReportingObserver" "\0"
  /* 11243 */ "Request" "\0"
  /* 11251 */ "ResizeObserver" "\0"
  /* 11266 */ "ResizeObserverEntry" "\0"
  /* 11286 */ "ResizeObserverSize" "\0"
  /* 11305 */ "Response" "\0"
  /* 11314 */ "SVGAElement" "\0"
  /* 11326 */ "SVGAngle" "\0"
  /* 11335 */ "SVGAnimateElement" "\0"
  /* 11353 */ "SVGAnimateMotionElement" "\0"
  /* 11377 */ "SVGAnimateTransformElement" "\0"
  /* 11404 */ "SVGAnimatedAngle" "\0"
  /* 11421 */ "SVGAnimatedBoolean" "\0"
  /* 11440 */ "SVGAnimatedEnumeration" "\0"
  /* 11463 */ "SVGAnimatedInteger" "\0"
  /* 11482 */ "SVGAnimatedLength" "\0"
  /* 11500 */ "SVGAnimatedLengthList" "\0"
  /* 11522 */ "SVGAnimatedNumber" "\0"
  /* 11540 */ "SVGAnimatedNumberList" "\0"
  /* 11562 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11593 */ "SVGAnimatedRect" "\0"
  /* 11609 */ "SVGAnimatedString" "\0"
  /* 11627 */ "SVGAnimatedTransformList" "\0"
  /* 11652 */ "SVGAnimationElement" "\0"
  /* 11672 */ "SVGCircleElement" "\0"
  /* 11689 */ "SVGClipPathElement" "\0"
  /* 11708 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11744 */ "SVGDefsElement" "\0"
  /* 11759 */ "SVGDescElement" "\0"
  /* 11774 */ "SVGElement" "\0"
  /* 11785 */ "SVGEllipseElement" "\0"
  /* 11803 */ "SVGFEBlendElement" "\0"
  /* 11821 */ "SVGFEColorMatrixElement" "\0"
  /* 11845 */ "SVGFEComponentTransferElement" "\0"
  /* 11875 */ "SVGFECompositeElement" "\0"
  /* 11897 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11924 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11952 */ "SVGFEDisplacementMapElement" "\0"
  /* 11980 */ "SVGFEDistantLightElement" "\0"
  /* 12005 */ "SVGFEDropShadowElement" "\0"
  /* 12028 */ "SVGFEFloodElement" "\0"
  /* 12046 */ "SVGFEFuncAElement" "\0"
  /* 12064 */ "SVGFEFuncBElement" "\0"
  /* 12082 */ "SVGFEFuncGElement" "\0"
  /* 12100 */ "SVGFEFuncRElement" "\0"
  /* 12118 */ "SVGFEGaussianBlurElement" "\0"
  /* 12143 */ "SVGFEImageElement" "\0"
  /* 12161 */ "SVGFEMergeElement" "\0"
  /* 12179 */ "SVGFEMergeNodeElement" "\0"
  /* 12201 */ "SVGFEMorphologyElement" "\0"
  /* 12224 */ "SVGFEOffsetElement" "\0"
  /* 12243 */ "SVGFEPointLightElement" "\0"
  /* 12266 */ "SVGFESpecularLightingElement" "\0"
  /* 12295 */ "SVGFESpotLightElement" "\0"
  /* 12317 */ "SVGFETileElement" "\0"
  /* 12334 */ "SVGFETurbulenceElement" "\0"
  /* 12357 */ "SVGFilterElement" "\0"
  /* 12374 */ "SVGForeignObjectElement" "\0"
  /* 12398 */ "SVGGElement" "\0"
  /* 12410 */ "SVGGeometryElement" "\0"
  /* 12429 */ "SVGGradientElement" "\0"
  /* 12448 */ "SVGGraphicsElement" "\0"
  /* 12467 */ "SVGImageElement" "\0"
  /* 12483 */ "SVGLength" "\0"
  /* 12493 */ "SVGLengthList" "\0"
  /* 12507 */ "SVGLineElement" "\0"
  /* 12522 */ "SVGLinearGradientElement" "\0"
  /* 12547 */ "SVGMPathElement" "\0"
  /* 12563 */ "SVGMarkerElement" "\0"
  /* 12580 */ "SVGMaskElement" "\0"
  /* 12595 */ "SVGMatrix" "\0"
  /* 12605 */ "SVGMetadataElement" "\0"
  /* 12624 */ "SVGNumber" "\0"
  /* 12634 */ "SVGNumberList" "\0"
  /* 12648 */ "SVGPathElement" "\0"
  /* 12663 */ "SVGPathSeg" "\0"
  /* 12674 */ "SVGPathSegArcAbs" "\0"
  /* 12691 */ "SVGPathSegArcRel" "\0"
  /* 12708 */ "SVGPathSegClosePath" "\0"
  /* 12728 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12754 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12780 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12812 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12844 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12874 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12904 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12940 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12976 */ "SVGPathSegLinetoAbs" "\0"
  /* 12996 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13026 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13056 */ "SVGPathSegLinetoRel" "\0"
  /* 13076 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13104 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13132 */ "SVGPathSegList" "\0"
  /* 13147 */ "SVGPathSegMovetoAbs" "\0"
  /* 13167 */ "SVGPathSegMovetoRel" "\0"
  /* 13187 */ "SVGPatternElement" "\0"
  /* 13205 */ "SVGPoint" "\0"
  /* 13214 */ "SVGPointList" "\0"
  /* 13227 */ "SVGPolygonElement" "\0"
  /* 13245 */ "SVGPolylineElement" "\0"
  /* 13264 */ "SVGPreserveAspectRatio" "\0"
  /* 13287 */ "SVGRadialGradientElement" "\0"
  /* 13312 */ "SVGRect" "\0"
  /* 13320 */ "SVGRectElement" "\0"
  /* 13335 */ "SVGSVGElement" "\0"
  /* 13349 */ "SVGScriptElement" "\0"
  /* 13366 */ "SVGSetElement" "\0"
  /* 13380 */ "SVGStopElement" "\0"
  /* 13395 */ "SVGStringList" "\0"
  /* 13409 */ "SVGStyleElement" "\0"
  /* 13425 */ "SVGSwitchElement" "\0"
  /* 13442 */ "SVGSymbolElement" "\0"
  /* 13459 */ "SVGTSpanElement" "\0"
  /* 13475 */ "SVGTextContentElement" "\0"
  /* 13497 */ "SVGTextElement" "\0"
  /* 13512 */ "SVGTextPathElement" "\0"
  /* 13531 */ "SVGTextPositioningElement" "\0"
  /* 13557 */ "SVGTitleElement" "\0"
  /* 13573 */ "SVGTransform" "\0"
  /* 13586 */ "SVGTransformList" "\0"
  /* 13603 */ "SVGUnitTypes" "\0"
  /* 13616 */ "SVGUseElement" "\0"
  /* 13630 */ "SVGViewElement" "\0"
  /* 13645 */ "Sanitizer" "\0"
  /* 13655 */ "Scheduler" "\0"
  /* 13665 */ "Screen" "\0"
  /* 13672 */ "ScreenLuminance" "\0"
  /* 13688 */ "ScreenOrientation" "\0"
  /* 13706 */ "ScriptProcessorNode" "\0"
  /* 13726 */ "ScrollAreaEvent" "\0"
  /* 13742 */ "ScrollViewChangeEvent" "\0"
  /* 13764 */ "SecurityPolicyViolationEvent" "\0"
  /* 13793 */ "Selection" "\0"
  /* 13803 */ "ServiceWorker" "\0"
  /* 13817 */ "ServiceWorkerContainer" "\0"
  /* 13840 */ "ServiceWorkerGlobalScope" "\0"
  /* 13865 */ "ServiceWorkerRegistration" "\0"
  /* 13891 */ "SessionStoreFormData" "\0"
  /* 13912 */ "SessionStoreScrollData" "\0"
  /* 13935 */ "SessionStoreUtils" "\0"
  /* 13953 */ "ShadowRealmGlobalScope" "\0"
  /* 13976 */ "ShadowRoot" "\0"
  /* 13987 */ "SharedWorker" "\0"
  /* 14000 */ "SharedWorkerGlobalScope" "\0"
  /* 14024 */ "SimpleGestureEvent" "\0"
  /* 14043 */ "SourceBuffer" "\0"
  /* 14056 */ "SourceBufferList" "\0"
  /* 14073 */ "SpeechGrammar" "\0"
  /* 14087 */ "SpeechGrammarList" "\0"
  /* 14105 */ "SpeechRecognition" "\0"
  /* 14123 */ "SpeechRecognitionAlternative" "\0"
  /* 14152 */ "SpeechRecognitionError" "\0"
  /* 14175 */ "SpeechRecognitionEvent" "\0"
  /* 14198 */ "SpeechRecognitionResult" "\0"
  /* 14222 */ "SpeechRecognitionResultList" "\0"
  /* 14250 */ "SpeechSynthesis" "\0"
  /* 14266 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14292 */ "SpeechSynthesisEvent" "\0"
  /* 14313 */ "SpeechSynthesisUtterance" "\0"
  /* 14338 */ "SpeechSynthesisVoice" "\0"
  /* 14359 */ "StaticRange" "\0"
  /* 14371 */ "StereoPannerNode" "\0"
  /* 14388 */ "Storage" "\0"
  /* 14396 */ "StorageEvent" "\0"
  /* 14409 */ "StorageManager" "\0"
  /* 14424 */ "StreamFilter" "\0"
  /* 14437 */ "StreamFilterDataEvent" "\0"
  /* 14459 */ "StructuredCloneHolder" "\0"
  /* 14481 */ "StructuredCloneTester" "\0"
  /* 14503 */ "StyleSheet" "\0"
  /* 14514 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14551 */ "StyleSheetList" "\0"
  /* 14566 */ "StyleSheetRemovedEvent" "\0"
  /* 14589 */ "SubmitEvent" "\0"
  /* 14601 */ "SubtleCrypto" "\0"
  /* 14614 */ "SyncMessageSender" "\0"
  /* 14632 */ "SyncReadFile" "\0"
  /* 14645 */ "TCPServerSocket" "\0"
  /* 14661 */ "TCPServerSocketEvent" "\0"
  /* 14682 */ "TCPSocket" "\0"
  /* 14692 */ "TCPSocketErrorEvent" "\0"
  /* 14712 */ "TCPSocketEvent" "\0"
  /* 14727 */ "TaskController" "\0"
  /* 14742 */ "TaskPriorityChangeEvent" "\0"
  /* 14766 */ "TaskSignal" "\0"
  /* 14777 */ "TelemetryStopwatch" "\0"
  /* 14796 */ "TestAttributesOnTypes" "\0"
  /* 14818 */ "TestCEReactionsInterface" "\0"
  /* 14843 */ "TestCImplementedInterface" "\0"
  /* 14869 */ "TestCImplementedInterface2" "\0"
  /* 14896 */ "TestChildInterface" "\0"
  /* 14915 */ "TestConstructorForFuncInterface" "\0"
  /* 14947 */ "TestConstructorForPrefInterface" "\0"
  /* 14979 */ "TestConstructorForSCInterface" "\0"
  /* 15009 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15045 */ "TestDeprecatedInterface" "\0"
  /* 15069 */ "TestExampleInterface" "\0"
  /* 15090 */ "TestExampleProxyInterface" "\0"
  /* 15116 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15156 */ "TestExampleWorkerInterface" "\0"
  /* 15183 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15228 */ "TestFuncConstructorForInterface" "\0"
  /* 15260 */ "TestHTMLConstructorInterface" "\0"
  /* 15289 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15333 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15368 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15403 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15453 */ "TestIndexedGetterInterface" "\0"
  /* 15480 */ "TestIndexedSetterInterface" "\0"
  /* 15507 */ "TestInterface" "\0"
  /* 15521 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15560 */ "TestJSImplInterface" "\0"
  /* 15580 */ "TestJSImplInterface2" "\0"
  /* 15601 */ "TestJSImplInterface3" "\0"
  /* 15622 */ "TestJSImplInterface4" "\0"
  /* 15643 */ "TestJSImplInterface5" "\0"
  /* 15664 */ "TestJSImplInterface6" "\0"
  /* 15685 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15713 */ "TestNamedDeleterInterface" "\0"
  /* 15739 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15775 */ "TestNamedGetterInterface" "\0"
  /* 15800 */ "TestNamedSetterInterface" "\0"
  /* 15825 */ "TestNamespace" "\0"
  /* 15839 */ "TestNonWrapperCacheInterface" "\0"
  /* 15868 */ "TestParentInterface" "\0"
  /* 15888 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15936 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15981 */ "TestPrefConstructorForInterface" "\0"
  /* 16013 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16044 */ "TestRenamedInterface" "\0"
  /* 16065 */ "TestRenamedNamespace" "\0"
  /* 16086 */ "TestSCConstructorForInterface" "\0"
  /* 16116 */ "TestSecureContextInterface" "\0"
  /* 16143 */ "TestThrowingConstructorInterface" "\0"
  /* 16176 */ "TestUtils" "\0"
  /* 16186 */ "TestWorkerExposedInterface" "\0"
  /* 16213 */ "TestingDeprecatedInterface" "\0"
  /* 16240 */ "Text" "\0"
  /* 16245 */ "TextClause" "\0"
  /* 16256 */ "TextDecoder" "\0"
  /* 16268 */ "TextDecoderStream" "\0"
  /* 16286 */ "TextEncoder" "\0"
  /* 16298 */ "TextEncoderStream" "\0"
  /* 16316 */ "TextMetrics" "\0"
  /* 16328 */ "TextTrack" "\0"
  /* 16338 */ "TextTrackCue" "\0"
  /* 16351 */ "TextTrackCueList" "\0"
  /* 16368 */ "TextTrackList" "\0"
  /* 16382 */ "TimeEvent" "\0"
  /* 16392 */ "TimeRanges" "\0"
  /* 16403 */ "ToggleEvent" "\0"
  /* 16415 */ "Touch" "\0"
  /* 16421 */ "TouchEvent" "\0"
  /* 16432 */ "TouchList" "\0"
  /* 16442 */ "TrackEvent" "\0"
  /* 16453 */ "TransformStream" "\0"
  /* 16469 */ "TransformStreamDefaultController" "\0"
  /* 16502 */ "TransitionEvent" "\0"
  /* 16518 */ "TreeColumn" "\0"
  /* 16529 */ "TreeColumns" "\0"
  /* 16541 */ "TreeContentView" "\0"
  /* 16557 */ "TreeWalker" "\0"
  /* 16568 */ "UDPMessageEvent" "\0"
  /* 16584 */ "UDPSocket" "\0"
  /* 16594 */ "UIEvent" "\0"
  /* 16602 */ "URL" "\0"
  /* 16606 */ "URLSearchParams" "\0"
  /* 16622 */ "URLSearchParams Iterator" "\0"
  /* 16647 */ "UniFFIPointer" "\0"
  /* 16661 */ "UniFFIScaffolding" "\0"
  /* 16679 */ "UserActivation" "\0"
  /* 16694 */ "UserInteraction" "\0"
  /* 16710 */ "UserProximityEvent" "\0"
  /* 16729 */ "VRDisplay" "\0"
  /* 16739 */ "VRDisplayCapabilities" "\0"
  /* 16761 */ "VRDisplayEvent" "\0"
  /* 16776 */ "VREyeParameters" "\0"
  /* 16792 */ "VRFieldOfView" "\0"
  /* 16806 */ "VRFrameData" "\0"
  /* 16818 */ "VRMockController" "\0"
  /* 16835 */ "VRMockDisplay" "\0"
  /* 16849 */ "VRPose" "\0"
  /* 16856 */ "VRServiceTest" "\0"
  /* 16870 */ "VRStageParameters" "\0"
  /* 16888 */ "VTTCue" "\0"
  /* 16895 */ "VTTRegion" "\0"
  /* 16905 */ "ValidityState" "\0"
  /* 16919 */ "VideoColorSpace" "\0"
  /* 16935 */ "VideoDecoder" "\0"
  /* 16948 */ "VideoFrame" "\0"
  /* 16959 */ "VideoPlaybackQuality" "\0"
  /* 16980 */ "VideoTrack" "\0"
  /* 16991 */ "VideoTrackList" "\0"
  /* 17006 */ "VisualViewport" "\0"
  /* 17021 */ "WEBGL_color_buffer_float" "\0"
  /* 17046 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17076 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17105 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17135 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17166 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17196 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17231 */ "WEBGL_debug_renderer_info" "\0"
  /* 17257 */ "WEBGL_debug_shaders" "\0"
  /* 17277 */ "WEBGL_depth_texture" "\0"
  /* 17297 */ "WEBGL_draw_buffers" "\0"
  /* 17316 */ "WEBGL_explicit_present" "\0"
  /* 17339 */ "WEBGL_lose_context" "\0"
  /* 17358 */ "WEBGL_provoking_vertex" "\0"
  /* 17381 */ "WaveShaperNode" "\0"
  /* 17396 */ "WebExtensionContentScript" "\0"
  /* 17422 */ "WebExtensionPolicy" "\0"
  /* 17441 */ "WebGL2RenderingContext" "\0"
  /* 17464 */ "WebGLActiveInfo" "\0"
  /* 17480 */ "WebGLBuffer" "\0"
  /* 17492 */ "WebGLContextEvent" "\0"
  /* 17510 */ "WebGLFramebuffer" "\0"
  /* 17527 */ "WebGLProgram" "\0"
  /* 17540 */ "WebGLQuery" "\0"
  /* 17551 */ "WebGLRenderbuffer" "\0"
  /* 17569 */ "WebGLRenderingContext" "\0"
  /* 17591 */ "WebGLSampler" "\0"
  /* 17604 */ "WebGLShader" "\0"
  /* 17616 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17643 */ "WebGLSync" "\0"
  /* 17653 */ "WebGLTexture" "\0"
  /* 17666 */ "WebGLTransformFeedback" "\0"
  /* 17689 */ "WebGLUniformLocation" "\0"
  /* 17710 */ "WebGLVertexArrayObject" "\0"
  /* 17733 */ "WebKitCSSMatrix" "\0"
  /* 17749 */ "WebSocket" "\0"
  /* 17759 */ "WebTransport" "\0"
  /* 17772 */ "WebTransportBidirectionalStream" "\0"
  /* 17804 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17837 */ "WebTransportError" "\0"
  /* 17855 */ "WebTransportReceiveStream" "\0"
  /* 17881 */ "WebTransportSendStream" "\0"
  /* 17904 */ "WebrtcGlobalInformation" "\0"
  /* 17928 */ "WheelEvent" "\0"
  /* 17939 */ "Window" "\0"
  /* 17946 */ "WindowClient" "\0"
  /* 17959 */ "WindowContext" "\0"
  /* 17973 */ "WindowGlobalChild" "\0"
  /* 17991 */ "WindowGlobalParent" "\0"
  /* 18010 */ "WindowRoot" "\0"
  /* 18021 */ "Worker" "\0"
  /* 18028 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18054 */ "WorkerGlobalScope" "\0"
  /* 18072 */ "WorkerLocation" "\0"
  /* 18087 */ "WorkerNavigator" "\0"
  /* 18103 */ "WorkerTestUtils" "\0"
  /* 18119 */ "Worklet" "\0"
  /* 18127 */ "WorkletGlobalScope" "\0"
  /* 18146 */ "WritableStream" "\0"
  /* 18161 */ "WritableStreamDefaultController" "\0"
  /* 18193 */ "WritableStreamDefaultWriter" "\0"
  /* 18221 */ "XMLDocument" "\0"
  /* 18233 */ "XMLHttpRequest" "\0"
  /* 18248 */ "XMLHttpRequestEventTarget" "\0"
  /* 18274 */ "XMLHttpRequestUpload" "\0"
  /* 18295 */ "XMLSerializer" "\0"
  /* 18309 */ "XPathEvaluator" "\0"
  /* 18324 */ "XPathExpression" "\0"
  /* 18340 */ "XPathResult" "\0"
  /* 18352 */ "XRBoundedReferenceSpace" "\0"
  /* 18376 */ "XRFrame" "\0"
  /* 18384 */ "XRInputSource" "\0"
  /* 18398 */ "XRInputSourceArray" "\0"
  /* 18417 */ "XRInputSourceEvent" "\0"
  /* 18436 */ "XRInputSourcesChangeEvent" "\0"
  /* 18462 */ "XRPose" "\0"
  /* 18469 */ "XRReferenceSpace" "\0"
  /* 18486 */ "XRReferenceSpaceEvent" "\0"
  /* 18508 */ "XRRenderState" "\0"
  /* 18522 */ "XRRigidTransform" "\0"
  /* 18539 */ "XRSession" "\0"
  /* 18549 */ "XRSessionEvent" "\0"
  /* 18564 */ "XRSpace" "\0"
  /* 18572 */ "XRSystem" "\0"
  /* 18581 */ "XRView" "\0"
  /* 18588 */ "XRViewerPose" "\0"
  /* 18601 */ "XRViewport" "\0"
  /* 18612 */ "XRWebGLLayer" "\0"
  /* 18625 */ "XSLTProcessor" "\0"
  /* 18639 */ "XULCommandEvent" "\0"
  /* 18655 */ "XULElement" "\0"
  /* 18666 */ "XULFrameElement" "\0"
  /* 18682 */ "XULMenuElement" "\0"
  /* 18697 */ "XULPopupElement" "\0"
  /* 18713 */ "XULResizerElement" "\0"
  /* 18731 */ "XULTextElement" "\0"
  /* 18746 */ "XULTreeElement" "\0"
  /* 18761 */ "console" "\0"
  /* 18769 */ "webkitSpeechGrammar" "\0"
  /* 18789 */ "webkitSpeechGrammarList" "\0"
  /* 18813 */ "webkitSpeechRecognition" "\0"
  /* 18837 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

